<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['clie_id']))
{

?>
<!DOCTYPE html>
<html lang="en">
    <head>
    <?php include ('head.php');?>
    <script type="text/javascript">
    $(document).ready(function() {  
    $('#clie_cc').blur(function(){
    $('#Info').html('<img src="img/loader.gif" alt="" height="20px"  />').fadeOut(1000);
    var clie_cc = $(this).val();    
    var dataString = 'clie_cc='+clie_cc;
    
    $.ajax({
            type: "POST",
            url: "verificar/verificar_cliente.php",
            data: dataString,
            success: function(data) {
        $('#Info').fadeIn(1000).html(data);
            }
            });
        });              
    });    
    </script>
    <script src="js_ajax/buscador_cliente_cotizacion.js" type="text/javascript"></script>
    </head>
<body>
<?php
  $configuracion="";
  $cotizacion="active";
  $clientes="";

  include ('menu.php');
?> 
<div class="main">
    <div class="">
    <div class="" >
        <div class="col-md-2"> 
         <?php include ('include/menu_ventas.php');?>
        </div> <!-- /span6 -->

        <div class="col-md-10"> 
<?php
if(!empty($_POST['cotizar']) and !empty($_POST['cotizar']))
  {
    $date=date("Y-m-d");
    $hora=date("H:i:s");
    $can=mysqli_query($con,"SELECT MAX(cot_id)as cot_id FROM dis_cotizacion ") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can);
    $cot_id=$dato['cot_id']+1;
    $can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as cot_n_cotizacion FROM dis_cotizacion where distribuidor='$distribuidor'") or die(mysqli_error($con)); 
    $dato=mysqli_fetch_array($can);

    $cot_n_cotizacion=$dato['cot_n_cotizacion']+1;
    $clie_id=ucfirst(limpiar($_POST['clie_id']));
    $cot_fecha=ucfirst(limpiar($_POST['cot_fecha']));
    $cot_validez=ucfirst(limpiar($_POST['cot_validez']));
  $cot_correo=ucfirst(limpiar($_POST['cot_correo']));
   
    $insert_detail=mysqli_query($con, "INSERT INTO dis_cotizacion (cot_id,cot_n_cotizacion,cot_fecha,cot_hora,cot_validez,distribuidor,dis_cliente_clie_id) 
        VALUES ('$cot_id','$cot_n_cotizacion','$date','$hora','$cot_validez','$distribuidor','$clie_id')");
    $sql=mysqli_query($con,"UPDATE dis_cliente Set
                                       clie_correo ='$cot_correo'
                                        Where clie_id='$clie_id'") or  die(mysqli_error($con));
    $sql=mysqli_query($con, "SELECT * from dis_cotizacion_detalle_temp where distribuidor='$distribuidor' ");
    while ($row=mysqli_fetch_array($sql))
    {
    $id=$row["cott_id"];
    $cott_id=$row["cott_id"];
    $cott_art_id=$row['cott_art_id'];
    $cott_referencia=$row['cott_referencia'];
    $cott_cantidad=$row['cott_cantidad'];
    $cott_nombre=$row['cott_nombre'];
    $cott_precio=$row['cott_precio'];
    $cott_iva=$row['cott_iva'];
    $cott_descuento=$row['cott_desc'];
    $detallado=$row['detallado'];

    $insert=mysqli_query($con,"INSERT INTO dis_cotizacion_detalle (cotd_art_id,cotd_referencia,cotd_nombre,cotd_cantidad,cotd_iva,cotd_desc,cotd_precio,detallado,dis_cotizacion_cot_id) 
    VALUES ('$cott_art_id','$cott_referencia','$cott_nombre','$cott_cantidad','$cott_iva','$cott_descuento','$cott_precio','$detallado','$cot_id')");
    
}

             

$borrar_sql=mysqli_query($con,"DELETE FROM dis_cotizacion_detalle_temp WHERE   distribuidor='$distribuidor' ") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM dis_cliente_cotizacion_temp WHERE   distribuidor='$distribuidor' ") or die(mysqli_error($con));
?>

    <div id="coti" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <form name="form1" method="post" action="">
                    <div class="modal-body">
                        <div class="alert alert-info alert-dismissable">
                            <strong>La Cotizacion ha sido Guardada completamente</strong> <a href="#" class="alert-link"></a>
                        </div>
                  
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                            <a href="#" class="btn btn-warning" title='Enviar por email' onclick="enviar_email('<?php echo $cot_id; ?>','<?php echo $cot_correo;?>')"><i class="btn-icon-only icon-envelope"> Enviar Correo</i></a>
                            <a href="libraries/tcpdf/documentos/cotizacion5.php?cot_id=<?php echo $cot_id;?>" target="_blank"   class="btn btn-success " ><span class="btn-icon-only icon-print"> Imprimir</span></a>
                    </div>
                      </div>
                </form>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
<script>
   $(document).ready(function()
   {
      $("#coti").modal("show");
   });

   function enviar_email(cot_id){
      VentanaCentrada('./pdf_inv/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
    }
</script>
<?php } ?>
    <form  role="form" id="" method="post" action=""  onsubmit="return checkSubmit();">
        <div class="widget stacked">
           <!--  <div class="widget-header">
                <i class="icon-file-text"></i>
                <h3></h3>
            </div>  -->

        <div class="widget-content">
<?php
    $can=mysqli_query($con,"SELECT MAX(cot_n_cotizacion)as numero FROM dis_cotizacion  where distribuidor='$distribuidor'") or die(mysqli_error($con)); 
        if($dato=mysqli_fetch_array($can)) 
        {
            $numero=$dato['numero']+1;
        }
?> 
        <div  class="col-md-4">
            <div class="form-group">
                <label>Cliente</label>
            </div> <!-- /.form-group -->
            
            <div id="select_cli"></div>
            
        </div><!-- /col-md-4 --> 
            
        <div  class="col-md-4">
           

            <div class="form-group">
                <label>Validez</label>
                <select class="form-control input-sm" id="cot_validez" name="cot_validez">
                    <option value='5 días'>5 días</option>
                    <option value='10 días'>10 días</option>
                    <option value='15 días' selected>15 días</option>
                    <option value='30 días'>30 días</option>
                    <option value='60 días'>60 días</option>
                </select>
            </div> <!-- /.form-group -->
            </br> 
        </div>
        <div  class="col-md-4">
           <div class="form-group">
                <label>Fecha</label>
                <input type="date" name="cot_fecha" value="" class="form-control input-sm" readonly>
            </div> <!-- /.form-group -->
            <div class="form-group">
               <label>Cotizacion Nº</label>
               <input type="text" id="cot_id" value="<?php echo $numero;?>" class="form-control input-sm" readonly>
            </div> <!-- /.form-group -->
      
                           
            </br> 
            <div class="form-group pull-right">
                <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
                <span class="btn-icon-only icon-plus "></span> Agregar productos
            </button>
           
            
          </div>
        <div id="guardar" class="modal fade" tabindex="-1" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-body">
                        <div class="alert alert-info alert-dismissable">
                            <strong>Desea realmente Guardar la Cotizacion !</strong> <a href="#" class="alert-link"></a>
                        </div>
                        <div class="modal-footer">
                          <button type="button" class="btn btn-default" data-dismiss="modal">No</button>
                          <button name="cotizar" value="cotizar" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Si </strong></button>
                        </div>
                    </div>

                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
               </form> <!-- /.form -->   
        </div> <!-- /.form-group -->

    </div>
</div> <!-- /.widget-content -->

  
    <div class="widget stacked"> 
        <div class="widget-content">
            <div class="table-responsive">
                <div id="tabla"></div>
            </div> <!-- /.table-responsive -->
            <div class="col-md-3 " >
                <form action="" method="post" id="descuentotal" name="descuentotal" class="">
                  
                        <div class="input-group">
                            <input type="number" min="0" max="99" name="desc" value="" size="3" class="form-control" id="desc" placeholder="%" accesskey="p" title="alt + p" autocomplete="off" />
                            <span class="input-group-btn">
                                <button name="btn_desc" id="btn_desc" type="submit" class="btn btn-warning" >Descuento</button>
                            </span>
                        </div>
                  
                </form>
            </div>
            <div class="col-md-3 " style="padding:0px;">
          </div>
            <div class="pull-right">
                <a href="php_cotizaciones/eliminar_cot_temp.php" type="button" class="btn btn-danger" >
                    <span class="btn-icon-only icon-remove"></span> Eliminar
                </a>
                <button type="button" class="btn btn-success" data-toggle="modal" data-target="#guardar">
                    <span class="btn-icon-only icon-ok"></span> Guardar
                </button>
            </div>
        </div> <!-- /.widget-content -->
    </div> <!-- /.widget --> 
 
    </div> <!-- /.col-md-9 -->
    </div> <!-- /container -->
</div> <!-- /main -->
</div> 
</div>
<div class="modal fade" id="tarifa_cot" role="dialog" style="z-index: 10001;" >
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header" >
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Tarifas</h4>
        </div>
        <div class="modal-body">
            <div id="form-tar"></div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
 </div><!-- /.modal -->
<?php 
  include ('php_buscador/buscador.php');
?>
<script>

function seleccion(){
    $('#editModal').modal('hide');
    $.get("./php_cotizacion/select_cliente.php","",function(data){
    $("#select_cli").html(data);
  })

}
seleccion();

function loadTabla(){
  $('#editModal').modal('hide');
  $.get("./php_cotizacion/tabla.php","",function(data){
    $("#tabla").html(data);
  })
}

loadTabla();

$(document).ready(function(){
      load(1);
    });

    function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'./php_buscador/articulos_cotizacion.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
        }
      })
    }
</script>
<script>
  function agregar (art_referencia)
    {
      var art_id=document.getElementById('art_id'+art_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+art_referencia).value;
      var nombre=document.getElementById('nombre_'+art_referencia).value;
      var cantidad=document.getElementById('cantidad_'+art_referencia).value;
      var art_iva=document.getElementById('art_iva'+art_referencia).value;
      var descuento=document.getElementById('descuento'+art_referencia).value;
      var fac=document.getElementById('fac'+art_referencia).value;
      var detallado='no';
      var combo='no';
      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+art_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+art_referencia).focus();
      return false;
      }
      //Fin validacion
      
      $.ajax({
        type: "POST",
        url: "./php_cotizacion/tabla.php",
        data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado+"&combo="+combo,

     beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#tabla").html(datos);
    }

      });
    }
</script>
<script>
  function agregars ()
    {
      var art_id=document.getElementById('art_id').value;
       var art_referencia=document.getElementById('art_id').value;
      var precio_venta=document.getElementById('precio_venta').value;
      var nombre=document.getElementById('nombre_').value;
      var cantidad=document.getElementById('cantidad_').value;
      var art_iva=document.getElementById('art_iva').value;
      var descuento=document.getElementById('descuento').value;
      var fac=document.getElementById('fac').value;
     var detallado='no';
     var combo='no';

      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_').focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_').focus();
      return false;
      }
      //Fin validacion
      $.ajax({
        type: "POST",
        url: "./php_cotizacion/tabla.php",
        data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado+"&combo="+combo,

     beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#tabla").html(datos);
    }
      });
    }
</script>
<script>
  function agregard (artd_referencia)
    {
      var art_id=document.getElementById('art_id'+artd_referencia).value;
      var nombre=document.getElementById('nombre'+artd_referencia).value;
      var cantidad=document.getElementById('cantidad_'+artd_referencia).value;
      var descuento=document.getElementById('descuento'+artd_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+artd_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+artd_referencia).value;
      var fac=document.getElementById('fac'+artd_referencia).value;
      
      var art_iva='00';
      var art_tipo='articulo';
      var detallado='si';
      var combo='no';
      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+artd_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+artd_referencia).focus();
      return false;
      }
      //Fin validacion
       
      if(parseInt(precio_venta)<parseInt(precio_costo))
        {
           alert('Esta facturando por debajo del precio de compra !');
           document.getElementById('precio_venta_'+artd_referencia).focus();
        }
          $.ajax(
          {
            type: "POST",
            url: "./php_cotizacion/tabla.php",
            data: "art_referencia="+artd_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado+"&combo="+combo,

            beforeSend: function(objeto)
              {
              $("#tabla").html("Mensaje: Cargando...");
              },
            success: function(datos)
              {
                $("#tabla").html(datos);
                  
              }
          });
    }
      
$( "#descuentotal" ).submit(function( event ) {
  $('#btn_desc').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_cotizacion/descuento.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#tabla").html(datos);
      $('#btn_desc').attr("disabled", false);
      loadTabla();
      loadtotal();
      }
  });
  event.preventDefault();
})
  

</script>

<script>
  function agregarcombo(com_referencia)
    {
      var com_id=document.getElementById('com_id'+com_referencia).value;
      var nombre=document.getElementById('nombre'+com_referencia).value;
      var cantidad=document.getElementById('cantidad_'+com_referencia).value;
      var descuento=document.getElementById('descuento'+com_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+com_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+com_referencia).value;
      var combo='si';
      var detallado='no';
      //Inicia validacion
      if (isNaN(cantidad))
      {
        alert('Esto no es un numero');
        document.getElementById('cantidad_'+com_referencia).focus();
        return false;
      }
      if (isNaN(precio_venta))
      {
        alert('Esto no es un numero');
        document.getElementById('precio_venta_'+com_referencia).focus();
        return false;
      }
      if(parseInt(precio_venta)<parseInt(precio_costo))
      {
        alert('Esta facturando por debajo del precio de compra!');
      }
      $.ajax(
          {
        type: "POST",
        url: "./php_cotizacion/tabla.php",
        data: "com_referencia="+com_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&descuento="+descuento+"&nombre="+nombre+"&combo="+combo+"&detallado="+detallado+"&com_id="+com_id,

     beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#tabla").html(datos);
    }

      });
    }
</script>

<?php
  include ('php_clientes/form_nuevo_cliente.php');
  include ('php_buscador/buscador_cliente.php');
  include ('script.php');

}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>